Roll Dart SDK from ecce58c1e354 to 396b5fb7a97d (2 revisions) (#18560)

diff --git a/DEPS b/DEPS
index 9a8b265..f30f6b3 100644
--- a/DEPS
+++ b/DEPS
@@ -34,7 +34,7 @@
   # Dart is: https://github.com/dart-lang/sdk/blob/master/DEPS.
   # You can use //tools/dart/create_updated_flutter_deps.py to produce
   # updated revision list of existing dependencies.
-  'dart_revision': 'ecce58c1e3541527be0bf0669ff057b2b2313c81',
+  'dart_revision': '396b5fb7a97daab488ed8efa3c2fb5ae9c74ff40',
 
   # WARNING: DO NOT EDIT MANUALLY
   # The lines between blank lines above and below are generated by a script. See create_updated_flutter_deps.py